/*
* This is a manifest file that'll be compiled into application.css, which will include all the files
* listed below.
*
* Any CSS file within this directory can be referenced here using a relative path.
*
* You're free to add application-wide styles to this file and they'll appear at the top of the
* compiled file, but it's generally better to create a new file per style scope.
*
*= require bootstrap
*= require application
*= require_self
*/

/**
 * ------------------------------------------------------
 * MENU ACADEMY
 * ------------------------------------------------------
 */

#menu .academy-menu {
    color: white;
}

#menu .academy-menu .category {
    position: relative;
    display: block;
    text-align: center;
    padding-top: 14px;
    float: left;
    width: 20%;
    height: 48px;
    color: #ffffff;
    font-size: 10px;
    text-transform: uppercase;
    background-color: #2e2e2e;
}

#menu .academy-menu .category.show-menu {
    border-bottom: 4px solid #2e2e2e;
}

#menu .academy-menu .category span {
    position: absolute;
    display: block;
    top: 7px;
    width: 1px;
    height: 30px;
    background-color: #424242;
}

#menu .academy-menu .physical {
    border-bottom: 4px solid #009ee0;
}

#menu .academy-menu .technical {
    border-bottom: 4px solid #fa5005;
}

#menu .academy-menu .mental {
    border-bottom: 4px solid #21db2f;
}

#menu .academy-menu .meta {
    border-bottom: 4px solid #ff0131;
}

#menu .academy-menu .freestyle {
    border-bottom: 4px solid #6729d6;
}

#menu .academy-menu .skills {
    width: 100%;
    display: none;
    position: absolute;
    top: 117px;
    z-index: 1000;
    background-color: #1c1c1c;
    -webkit-box-shadow: 0px 6px 5px 0px rgba(0, 0, 0, 0.75);
    -moz-box-shadow: 0px 6px 5px 0px rgba(0, 0, 0, 0.75);
    box-shadow: 0px 6px 5px 0px rgba(0, 0, 0, 0.75);
}

#menu .academy-menu .skills a {
    display: block;
    color: #ffffff;
    padding: 5px 20px;
    text-transform: uppercase;
}

#menu .academy-menu .skills a:first-child {
    margin-top: 15px;
}

#menu .academy-menu .close-menu {
    display: block;
    color: #ffffff;
    width: 100%;
    text-align: center;
    font-size: 20px;
}

#menu .academy-menu .categoryGroupName {
    font-style: italic;
    padding: 5px 20px;
    font-size: 14px;
}

#menu .academy-menu a.skillNameInGroup {
    padding-left: 40px;
}

/**
 * ------------------------------------------------------
 * ACADEMY CONTENT - HEADER
 * ------------------------------------------------------
 */
#academy .header {
    margin-top: 20px;
    margin-bottom: 20px;
    text-align: center;
    font-family: 'Montserrat', sans-serif;
}

#academy .category {
    text-transform: uppercase;
    font-size: 25px;
    margin: 0;
    font-weight: bold;
}

#academy .course {
    color: #ffffff;
    font-size: 14px;
}

#academy .category.physical {
    color: #009ee0;
}

#academy .category.technical {
    color: #fa5005;
}

#academy .category.mental {
    color: #21db2f;
}

#academy .category.meta {
    color: #ff0131;
}

#academy .category.freestyle {
    color: #6729d6;
}

/**
 * ------------------------------------------------------
 * ACADEMY SUBMENU
 * ------------------------------------------------------
 */
#academy .submenu {
    margin: 20px 0;
    font-family: 'Montserrat', sans-serif;
}

#academy .submenu .wrapper {
    position: relative;
    margin: 0 auto;
    border-top: 2px solid white;
    border-bottom: 2px solid white;
    height: 55px;
}

#academy .submenu.three .wrapper {
    width: 290px;
}

#academy .submenu.two .wrapper {
    width: 180px;
}

#academy .submenu .item {
    border-top: 2px solid white;
    border-bottom: 2px solid white;
    font-size: 20px;
    text-transform: capitalize;
    font-weight: bold;
    padding: 10px;
    width: 120px;
    display: inline-block;
    margin: 0;
    outline: none;
    text-align: center;
    color: white;
    position: absolute;
    height: 55px;
    top: -2px;
}

#academy .submenu.three .item:nth-child(1) {
    border-left: 2px solid white;
    border-radius: 25px 0px 0px 25px;
    -moz-border-radius: 25px 0px 0px 25px;
    -webkit-border-radius: 25px 0px 0px 25px;
    left: -30px;
}

#academy .submenu.three .item:nth-child(2) {
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
}

#academy .submenu.three .item:nth-child(3) {
    border-right: 2px solid white;
    border-radius: 0px 25px 25px 0px;
    -moz-border-radius: 0px 25px 25px 0px;
    -webkit-border-radius: 0px 25px 25px 0px;
    right: -30px;
}

#academy .submenu.three .item.selected {
    border: 4px solid #21db2f;
    border-radius: 25px 25px 25px 25px;
    -moz-border-radius: 25px 25px 25px 25px;
    -webkit-border-radius: 25px 25px 25px 25px;
}

#academy .submenu.two .item:nth-child(1) {
    border-left: 2px solid white;
    border-radius: 25px 0px 0px 25px;
    -moz-border-radius: 25px 0px 0px 25px;
    -webkit-border-radius: 25px 0px 0px 25px;
    left: -30px;
}

#academy .submenu.two .item:nth-child(2) {
    border-right: 2px solid white;
    border-radius: 0px 25px 25px 0px;
    -moz-border-radius: 0px 25px 25px 0px;
    -webkit-border-radius: 0px 25px 25px 0px;
    right: -30px;
}

#academy .submenu.two .item.selected {
    border: 4px solid #21db2f;
    border-radius: 25px 25px 25px 25px;
    -moz-border-radius: 25px 25px 25px 25px;
    -webkit-border-radius: 25px 25px 25px 25px;
}

#academy .submenu .item.selected.physical {
    border-color: #009ee0;
    color: #009ee0;
}

#academy .submenu .item.selected.technical {
    border-color: #fa5005;
    color: #fa5005;
}

#academy .submenu .item.selected.mental {
    border-color: #21db2f;
    color: #21db2f;
}

#academy .submenu .item.selected.meta {
    border-color: #ff0131;
    color: #ff0131;
}

#academy .submenu .item.selected.freestyle {
    border-color: #6729d6;
    color: #6729d6;
}

/**
 * ------------------------------------------------------
 * ACADEMY CONTENT - TEST
 * ------------------------------------------------------
 */

#academy.test .header .title {
    font-weight: bold;
    color: #ffffff;
    margin-bottom: 0;
    text-transform: uppercase;
}

#academy.test .header .skill {
    margin: 0;
    color: #707070;
    text-transform: uppercase
}

#academy.test .body {
    color: #ffffff;
    padding: 0 10px;
}

#academy.test .question {
    background-color: #1c1c1c;
    border-radius: 15px 15px 15px 15px;
    -moz-border-radius: 15px 15px 15px 15px;
    -webkit-border-radius: 15px 15px 15px 15px;
    border: 0px solid #000000;
    padding: 10px 15px;
    margin-bottom: 15px;
}

#academy.test .description {
    font-weight: bold;
    margin: 0 0 10px 0;
}

#academy.test .description.error {
    color: #ff0131;
}

#academy.test .answer {
    margin: 0;
}

#academy.test label {
    font-weight: normal;
}

#academy.test .result {
    border-radius: 7px 7px 7px 7px;
    -moz-border-radius: 7px 7px 7px 7px;
    -webkit-border-radius: 7px 7px 7px 7px;
    margin-bottom: 10px;
    padding: 10px;
}

#academy.test .result.error {
    background-color: red;
}

#academy.test .result.warning {
    background-color: #0e1018;
}

#academy.test .result.success {
    background-color: green;
}

/**
 * ------------------------------------------------------
 * ACADEMY CONTENT - BODY
 * ------------------------------------------------------
 */
#academy ul {
    list-style: none;
    margin: 0px;
    padding: 0px;
}

#academy .video {
    margin-bottom: 20px;
}

.academy-video .title {
    font-family: 'Fjalla One', sans-serif;
    color: #ffffff;
    font-size: 14px;
    margin: 0;
    padding: 10px 0 0 15px;
}

.academy-video .tags {
    font-family: 'Fjalla One', sans-serif;
    padding: 0 0 0 15px;
    font-size: 12px;
    font-style: italic;
}

.academy-video {
    max-width: 680px;
    margin: 0px 10px;
    padding: 15px 0px;
    background-color: #141414;
    border-radius: 15px 15px 15px 15px;
    -moz-border-radius: 15px 15px 15px 15px;
    -webkit-border-radius: 15px 15px 15px 15px;
}

.academy-video .youtube {
    margin: 0 auto;
    position: relative;
    padding-top: 56.25%;
    overflow: hidden;
    cursor: pointer;
    width: 100%;
}

.academy-video .youtube img {
    width: 100%;
    top: -16.82%;
    left: 0;
    opacity: 0.7;
}

.academy-video .youtube .play-button {
    width: 90px;
    height: 60px;
    background-color: #333;
    box-shadow: 0 0 30px rgba(0, 0, 0, 0.6);
    z-index: 1;
    opacity: 0.8;
    border-radius: 6px;
}

.academy-video .youtube .play-button:before {
    content: "";
    border-style: solid;
    border-width: 15px 0 15px 26.0px;
    border-color: transparent transparent transparent #fff;
}

.academy-video .youtube img,
.academy-video .youtube .play-button {
    cursor: pointer;
}

.academy-video .youtube img,
.academy-video .youtube iframe,
.academy-video .youtube .play-button,
.academy-video .youtube .play-button:before {
    position: absolute;
}

.academy-video .youtube .play-button,
.academy-video .youtube .play-button:before {
    top: 50%;
    left: 50%;
    transform: translate3d(-50%, -50%, 0);
}

.academy-video .youtube iframe {
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
}

/**
 * ------------------------------------------------------
 * ACADEMY TEST
 * ------------------------------------------------------
 */

#academy.test {
}

#academy.test .upload {
    height: 80px;
    background-color: #212121;
    padding: 13px 30px;
}

#academy.test .upload.full {
    background-color: #323232;
    padding: 0 40px;
}

#academy.test .upload.min5 {
    background-image: url("../images/academy/time-5min.png");
    background-position: center;
    background-repeat: no-repeat;
}

#academy.test .upload .requirements {
    list-style: none;
    color: #5C5C5C;
    font-size: 10px;
    width: 40%;
    text-transform: uppercase;
    font-family: 'Montserrat', sans-serif;
}

#academy.test .upload .requirements .title {
    font-weight: bold;
}

#academy.test .upload .requirements .item:before {
    content: "- "
}

#academy.test .upload .button.loader .icon,
#academy.test .upload.full .button.loader .icon,
#academy.test .upload .button.loader .text,
#academy.test .upload.full .button.loader .text {
    display: none;
}

#academy.test .upload .button.loader {
    background-image: url("../images/loader.svg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100% 100%;
}

#academy.test .upload .button {
    width: 33%;
    margin: 0;
    height: 50px;
    border-color: #E3CB5B;
    color: #E3CB5B;
    padding: 0;
    text-decoration: none;
}

#academy.test .upload.full .button {
    width: 100%;
    background-color: #323232;
    padding-top: 5px;
}

#academy.test .upload .button .icon {
    padding: 0;
    margin: 0;
}

#academy.test .upload .button .text {
    display: block;
    padding: 0;
    margin: 0;
    font-size: 10px;
    text-transform: uppercase;
}

#academy.test .upload.full .button .text {
    display: inline;
    font-size: 14px;
    font-weight: bold;
}

#academy.test .explanation.text .guidelines {
    color: white;
    padding: 0 10px;
}

#academy.test .explanation.video h5,
#academy.test .explanation.text .guidelines h5 {
    color: #E3CB5B;
    text-transform: uppercase;
    font-family: 'Fjalla One', sans-serif;
    font-size: 16px;
    margin: 20px 0 3px 0;
}

#academy.test .explanation.video h5 {
    margin: 0 25px 10px 25px;
}

#academy.test .explanation.text .guidelines p {
    font-size: 12px;
    font-family: 'Montserrat', sans-serif;
}

#academy.test .explanation.text .guidelines b {
    color: #405ffd;
    font-weight: bold;
}

#academy.test .explanation.text .guidelines p {
    margin: 0;
}

#academy.test .explanation.video {
    margin-top: 20px;
}

/**
 * ------------------------------------------------------
 * ACADEMY COURSE SHOW MORE
 * ------------------------------------------------------
 */

#academy .complementary-lessons {
    display: none;
}

#overlay .progress-bar {
    background-color: #E3CB5B;
}

#overlay {
    text-align: center;
}

#overlay .progress {
    margin-top: 30px;
}

#overlay .logo {
    width: 40%;
}


